%define	major_version	0.8

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		swfdec
Version:	0.8.4
Release:	1
License:	GNU/GPL
URL:		http://swfdec.freedesktop.org/
Group:		System/Libraries
Source0:	http://swfdec.freedesktop.org/download/swfdec/0.5/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Flash animation rendering library

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: liboil-devel
BuildRequires: libpng-devel
BuildRequires: libsoup-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: pulseaudio-libs-glib2
BuildRequires: zlib-devel

%description
swfdec is a library for rendering Adobe Flash animations. Currently it handles
most Flash 3, 4 and many Flash 7 videos. 

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	liboil-devel
Requires:	pango-devel
Requires:	pkgconfig

%description	devel
%{name}-devel contains the files needed to build packages that depend on swfdec.

%package	gtk
Summary:	A library for easy embedding of Flash files in an application
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires(pre):	/sbin/ldconfig
Requires(post):	/sbin/ldconfig

%description	gtk
%{name}-gtk is a library for developers that allows one to easily embed
Flash videos and animations into their appplications. 

%package	gtk-devel
Summary:	Development files for swfdec-gtk
Group:		Development/Libraries
Requires:	%{name}-gtk = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	gtk2+-devel


%description	gtk-devel
%{name}-gtk is a library for developers that allows one to easily embed
Flash videos and animations into their appplications. This package contains
files necessary to build packages and appplications that use %{name}-gtk.

%prep
%setup -q

%build
%configure --disable-static --with-audio=pulse
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%post gtk
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun	-p /sbin/ldconfig

%postun gtk
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README 
%{_libdir}/libswfdec-%{major_version}.so.*

%files	devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/%{name}-%{major_version}.pc
%{_libdir}/libswfdec-%{major_version}.so
%dir %{_includedir}/%{name}-%{major_version}
%{_includedir}/%{name}-%{major_version}/swfdec/
%{_libdir}/libswfdec-%{major_version}.la

%files	gtk
%defattr(-,root,root,-)
%{_libdir}/libswfdec-gtk-%{major_version}.so.*

%files	gtk-devel
%defattr(-,root,root,-)
%{_libdir}/libswfdec-gtk-%{major_version}.so
%{_libdir}/pkgconfig/%{name}-gtk-%{major_version}.pc
%{_includedir}/%{name}-%{major_version}/swfdec-gtk/
%{_libdir}/libswfdec-gtk-%{major_version}.la

%changelog
* Tue Mar 24 2009 Christian Wasem <wasem@ccux-linux.de> 0.8.4-1
- Version update
* Thu Aug 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.6.8-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.0-1
- Version update
* Fri Jan 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5.5-1
- Version update
* Sun Oct 21 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.5.3-1
- Initial Release
